/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

Item {
    id:root

    width:80
    height:60
    property string labelColor
    property string labelTextColor
    property string labelText
    default property int fontsize: 16


    Rectangle {
       y:8
        //anchors.centerIn: parent
        //anchors.topMargin: 10
        color: labelColor
        width: root.width
        height: 50
        Text {
            anchors.centerIn: parent
            text: root.labelText
            color: root.labelTextColor
            font.pixelSize: root.fontsize
            font.family: defaultFontName
        }
    }

}
