//
//      (c) 2020 DX ANTENNA CO.,LTD.
//

#ifndef LOGGINGSETTINGVIEWMODEL_H
#define LOGGINGSETTINGVIEWMODEL_H

#include "abstractviewmodel.h"

/**
 * @brief 取得設定 ViewModel
 */
class LoggingSettingViewModel : public AbstractViewModel
{
    Q_OBJECT
public:
    /**
     * @brief コンストラクター
     * @param screenId 画面 ID
     * @param model Model クラスのポインター
     * @param parent 親オブジェクト
     */
    explicit LoggingSettingViewModel(ScreenId screenId, LevelCheckerModel *&model, QObject *parent = nullptr);

    /**
     * @brief デストラクタ
     */
    virtual ~LoggingSettingViewModel();

signals:

};

#endif // LOGGINGSETTINGVIEWMODEL_H
