//
//      (c) 2020 DX ANTENNA CO.,LTD.
//

#ifndef STARTSELECTIONVIEWMODEL_H
#define STARTSELECTIONVIEWMODEL_H

#include "abstractviewmodel.h"

/**
 * @brief 取得開始 ViewModel
 */
class StartSelectionViewModel : public AbstractViewModel
{
    Q_OBJECT
public:
    /**
     * @brief コンストラクター
     * @param screenId 画面 ID
     * @param model Model クラスのポインター
     * @param parent 親オブジェクト
     */
    explicit StartSelectionViewModel(ScreenId screenId, LevelCheckerModel *&model, QObject *parent = nullptr);

    /**
     * @brief デストラクタ
     */
    virtual ~StartSelectionViewModel();

signals:

};

#endif // STARTSELECTIONVIEWMODEL_H
