//
//      (c) 2020 DX ANTENNA CO.,LTD.
//

#ifndef ALLCOPYVIEWMODEL_H
#define ALLCOPYVIEWMODEL_H

#include "abstractviewmodel.h"

/**
 * @brief 保存データの全コピー ViewModel
 */
class AllCopyViewModel : public AbstractViewModel
{
    Q_OBJECT
public:
    /**
     * @brief コンストラクター
     * @param screenId 画面 ID
     * @param model Model クラスのポインター
     * @param parent 親オブジェクト
     */
    explicit AllCopyViewModel(ScreenId screenId, LevelCheckerModel *&model, QObject *parent = nullptr);

    /**
     * @brief デストラクタ
     */
    virtual ~AllCopyViewModel();

signals:

};

#endif // ALLCOPYVIEWMODEL_H
