//
//      (c) 2020 DX ANTENNA CO.,LTD.
//

#ifndef ALLDELETIONVIEWMODEL_H
#define ALLDELETIONVIEWMODEL_H

#include "abstractviewmodel.h"

/**
 * @brief 保存データの全消去 ViewModel
 */
class AllDeletionViewModel : public AbstractViewModel
{
    Q_OBJECT
public:
    /**
     * @brief コンストラクター
     * @param screenId 画面 ID
     * @param model Model クラスのポインター
     * @param parent 親オブジェクト
     */
    explicit AllDeletionViewModel(ScreenId screenId, LevelCheckerModel *&model, QObject *parent = nullptr);

    /**
     * @brief デストラクタ
     */
    virtual ~AllDeletionViewModel();

signals:

};

#endif // ALLDELETIONVIEWMODEL_H
