//
//      (c) 2020 DX ANTENNA CO.,LTD.
//

#ifndef CABLEATTENUATIONVIEWMODEL_H
#define CABLEATTENUATIONVIEWMODEL_H

#include "abstractviewmodel.h"

/**
 * @brief ケーブル損失補正 ViewModel
 */
class CableAttenuationViewModel : public AbstractViewModel
{
    Q_OBJECT
public:
    /**
     * @brief コンストラクター
     * @param screenId 画面 ID
     * @param model Model クラスのポインター
     * @param parent 親オブジェクト
     */
    explicit CableAttenuationViewModel(ScreenId screenId, LevelCheckerModel *&model, QObject *parent = nullptr);

    /**
     * @brief デストラクタ
     */
    virtual ~CableAttenuationViewModel();

signals:

};

#endif // CABLEATTENUATIONVIEWMODEL_H
