/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "displayfilesystemmodel.h"

DisplayFileSystemModel::DisplayFileSystemModel(QObject *parent)
    : QFileSystemModel(parent)
{

}

DisplayFileSystemModel::~DisplayFileSystemModel()
{

}

QHash<int, QByteArray> DisplayFileSystemModel::roleNames() const
{
    return QFileSystemModel::roleNames();
}

QVariant DisplayFileSystemModel::data(const QModelIndex &index, int role) const
{
    return QFileSystemModel::data(index, role);
}
