/*
 * This file is part of pdisp. Copyright (c) 2021 DX ANTENNA CO.,LTD.
 *
 * pdisp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import "../parts"

Item {
    id:root
    width: 640
    objectName: "otherMenu"

    property bool visibleCompass: false

    signal request(int condition)

    Row {
        id:yesorno
        anchors.centerIn: root
        spacing: 10

        Column {
            spacing :10

            SelectButton {
                id:setting1
                objectName: "a1"
                message:"DC測定"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                pressbg: "combtn_p.png"
                width:224
                height: 82
            }


        }

        Column {
            spacing :10

            SelectButton {
                id:setting2
                objectName: "a2"
                message:"光レベル測定"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                pressbg: "combtn_p.png"
                width:224
                height: 82
            }


        }


        Column {
            spacing : 10
            SelectButton {
                id: setting3
                objectName: "a3"
                message: "コンパス"
                activebg: "combtn_sel.png"
                idlebg: "combtn.png"
                pressbg: "combtn_p.png"
                width:224
                height: 82
                visible: visibleCompass
            }

        }

    }

        ScreenName {
            name:"その他"
        }


}
